package com.glxp.udidl.admin.req.collect;

import com.glxp.udidl.admin.req.ListPageRequest;
import lombok.Data;

import java.util.Date;

@Data
public class RelCodeDetailRequest extends ListPageRequest {

    private Integer id;

    /**
     * 当前条码
     */
    private String curCode;

    /**
     * 包装级别
     */
    private Integer packLayer;

    /**
     * 父级码
     */
    private String parentCode;

    /**
     * 状态
     */
    private Integer flag;

    /**
     * 产品批次ID外键
     */
    private Integer batchIdFk;

    /**
     * 产品编码
     */
    private String productCode;

    /**
     * 类型编码
     */
    private String subTypeNo;

    /**
     * 包装比例
     */
    private String cascadeRatio;

    /**
     * 包装规格
     */
    private String packageSpec;

    /**
     * 备注
     */
    private String comment;

    /**
     * 批次号
     */
    private String batchNo;

    /**
     * 生产日期
     */
    private Date madeDate;

    /**
     * 有效期至
     */
    private Date validateDate;

    /**
     * 生产车间
     */
    private String workShop;

    /**
     * 生产线
     */
    private String lineName;

    /**
     * 负责人
     */
    private String lineManager;

    private Date createTime;

    private String createUser;

    private Date updateTime;

    private String updateUser;

    private String keyWords;

}
