package com.glxp.udidl.admin.res.tyapi;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@Data
public class TyContactResponse {

    /**
     * 电话
     */
    @ApiModelProperty(value = "当前电话")
    private String mainPhoneNumber;

    /**
     * 注册地址
     */
    @ApiModelProperty(value = "注册地址")
    private String regLocation;

    /**
     * 邮箱
     */
    @ApiModelProperty(value = "邮箱")
    private String email;

    /**
     * 网址
     */
    @TableField(value = "websiteList")
    @ApiModelProperty(value = "网址")
    private String websiteList;

    /**
     * 所属企业统一社会信用号
     */
    @TableField(value = "creditCodeFk")
    @ApiModelProperty(value = "所属企业统一社会信用号")
    private String creditCodeFk;

    /**
     * 所属企业名称
     */
    @TableField(value = "supplierName")
    @ApiModelProperty(value = "所属企业名称")
    private String supplierName;

    @TableField(value = "updateTime")
    @ApiModelProperty(value = "更新时间")
    private Date updateTime;


    @TableId(value = "id", type = IdType.INPUT)
    @ApiModelProperty(value = "")
    private Integer id;

    /**
     * 电话
     */
    @ApiModelProperty(value = "电话")
    private String phoneNumber;

    /**
     * 号码来源
     */
    @ApiModelProperty(value = "号码来源")
    private String source;

    /**
     * 标签
     */
    @ApiModelProperty(value = "标签")
    private String tag;


}
