//package com.glxp.udidl.admin.controller.collect;
//
//
//import com.github.pagehelper.PageInfo;
//import com.glxp.api.annotation.RepeatSubmit;
//import com.glxp.api.common.res.BaseResponse;
//import com.glxp.api.common.util.ResultVOUtils;
//import com.glxp.api.controller.BaseController;
//import com.glxp.api.entity.collect.RelCodeDetail;
//import com.glxp.api.req.collect.RelCodeDetailRequest;
//import com.glxp.api.res.PageSimpleResponse;
//import com.glxp.api.res.collect.RelCodeDetailResponse;
//import com.glxp.api.service.collect.RelCodeDetailService;
//import lombok.extern.slf4j.Slf4j;
//import org.springframework.validation.BindingResult;
//import org.springframework.web.bind.annotation.GetMapping;
//import org.springframework.web.bind.annotation.PostMapping;
//import org.springframework.web.bind.annotation.RequestBody;
//import org.springframework.web.bind.annotation.RestController;
//
//import javax.annotation.Resource;
//import javax.validation.Valid;
//import java.util.List;
//
//@Slf4j
//@RestController
//public class RelCodeDetailController extends BaseController {
//
//    @Resource
//    private RelCodeDetailService relCodeDetailService;
//
//
//
//    /**
//     * 扫码
//     * @param relCodeDetailRequest
//     * @return
//     */
//    @RepeatSubmit()
//    @PostMapping("/udiwms/relCode/detail/scanCode")
//    public BaseResponse scanCode(@RequestBody @Valid RelCodeDetailRequest relCodeDetailRequest, BindingResult bindingResult) {
//        RelCodeDetailResponse relCodeDetailResponse  = relCodeDetailService.scanCode(relCodeDetailRequest);
//        return ResultVOUtils.success(relCodeDetailResponse);
//    }
//
//
//    @GetMapping("/udiwms/relCode/detail/filter")
//    public BaseResponse list(RelCodeDetailRequest relCodeDetailRequest, BindingResult bindingResult) {
//        List<RelCodeDetailResponse> relCodeDetailResponses = relCodeDetailService.filterList(relCodeDetailRequest);
//        PageInfo<RelCodeDetailResponse> pageInfo = new PageInfo<>(relCodeDetailResponses);
//        PageSimpleResponse<RelCodeDetailResponse> pageSimpleResponse = new PageSimpleResponse<>();
//        pageSimpleResponse.setTotal(pageInfo.getTotal());
//        pageSimpleResponse.setList(relCodeDetailResponses);
//        return ResultVOUtils.success(pageSimpleResponse);
//    }
//
//
//    @GetMapping("/udiwms/relCode/detail/get")
//    public BaseResponse get(Long id) {
//        RelCodeDetail relCodeDetail = relCodeDetailService.getById(id);
//        return ResultVOUtils.success(relCodeDetail);
//    }
//
//
//    @PostMapping("/udiwms/relCode/detail/update")
//    public BaseResponse update(@RequestBody @Valid RelCodeDetail relCodeDetail) {
//        relCodeDetailService.updateById(relCodeDetail);
//        return ResultVOUtils.success("修改成功！");
//    }
//}
